Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
222.0.0.0
Broadcast address
223.255.255.255
First usable
222.0.0.1
Last usable
223.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex DE000000 · Integer 3724541952 to 3758096383
Reverse DNS zones
222.in-addr.arpa
223.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.00000000.00000000.00000000222.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11011110.00000000.00000000.00000000222.0.0.0
Broadcast11011111.11111111.11111111.11111111223.255.255.255
Split into smaller subnets/18

222.0.0.0/7 makes 2,048 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.0.0.0/18222.0.0.1 to 222.0.63.254222.0.63.25516,382
2222.0.64.0/18222.0.64.1 to 222.0.127.254222.0.127.25516,382
3222.0.128.0/18222.0.128.1 to 222.0.191.254222.0.191.25516,382
4222.0.192.0/18222.0.192.1 to 222.0.255.254222.0.255.25516,382
5222.1.0.0/18222.1.0.1 to 222.1.63.254222.1.63.25516,382
6222.1.64.0/18222.1.64.1 to 222.1.127.254222.1.127.25516,382
7222.1.128.0/18222.1.128.1 to 222.1.191.254222.1.191.25516,382
8222.1.192.0/18222.1.192.1 to 222.1.255.254222.1.255.25516,382
9222.2.0.0/18222.2.0.1 to 222.2.63.254222.2.63.25516,382
10222.2.64.0/18222.2.64.1 to 222.2.127.254222.2.127.25516,382
11222.2.128.0/18222.2.128.1 to 222.2.191.254222.2.191.25516,382
12222.2.192.0/18222.2.192.1 to 222.2.255.254222.2.255.25516,382
13222.3.0.0/18222.3.0.1 to 222.3.63.254222.3.63.25516,382
14222.3.64.0/18222.3.64.1 to 222.3.127.254222.3.127.25516,382
15222.3.128.0/18222.3.128.1 to 222.3.191.254222.3.191.25516,382
16222.3.192.0/18222.3.192.1 to 222.3.255.254222.3.255.25516,382
17222.4.0.0/18222.4.0.1 to 222.4.63.254222.4.63.25516,382
18222.4.64.0/18222.4.64.1 to 222.4.127.254222.4.127.25516,382
19222.4.128.0/18222.4.128.1 to 222.4.191.254222.4.191.25516,382
20222.4.192.0/18222.4.192.1 to 222.4.255.254222.4.255.25516,382
21222.5.0.0/18222.5.0.1 to 222.5.63.254222.5.63.25516,382
22222.5.64.0/18222.5.64.1 to 222.5.127.254222.5.127.25516,382
23222.5.128.0/18222.5.128.1 to 222.5.191.254222.5.191.25516,382
24222.5.192.0/18222.5.192.1 to 222.5.255.254222.5.255.25516,382
25222.6.0.0/18222.6.0.1 to 222.6.63.254222.6.63.25516,382
26222.6.64.0/18222.6.64.1 to 222.6.127.254222.6.127.25516,382
27222.6.128.0/18222.6.128.1 to 222.6.191.254222.6.191.25516,382
28222.6.192.0/18222.6.192.1 to 222.6.255.254222.6.255.25516,382
29222.7.0.0/18222.7.0.1 to 222.7.63.254222.7.63.25516,382
30222.7.64.0/18222.7.64.1 to 222.7.127.254222.7.127.25516,382
31222.7.128.0/18222.7.128.1 to 222.7.191.254222.7.191.25516,382
32222.7.192.0/18222.7.192.1 to 222.7.255.254222.7.255.25516,382
33222.8.0.0/18222.8.0.1 to 222.8.63.254222.8.63.25516,382
34222.8.64.0/18222.8.64.1 to 222.8.127.254222.8.127.25516,382
35222.8.128.0/18222.8.128.1 to 222.8.191.254222.8.191.25516,382
36222.8.192.0/18222.8.192.1 to 222.8.255.254222.8.255.25516,382
37222.9.0.0/18222.9.0.1 to 222.9.63.254222.9.63.25516,382
38222.9.64.0/18222.9.64.1 to 222.9.127.254222.9.127.25516,382
39222.9.128.0/18222.9.128.1 to 222.9.191.254222.9.191.25516,382
40222.9.192.0/18222.9.192.1 to 222.9.255.254222.9.255.25516,382
41222.10.0.0/18222.10.0.1 to 222.10.63.254222.10.63.25516,382
42222.10.64.0/18222.10.64.1 to 222.10.127.254222.10.127.25516,382
43222.10.128.0/18222.10.128.1 to 222.10.191.254222.10.191.25516,382
44222.10.192.0/18222.10.192.1 to 222.10.255.254222.10.255.25516,382
45222.11.0.0/18222.11.0.1 to 222.11.63.254222.11.63.25516,382
46222.11.64.0/18222.11.64.1 to 222.11.127.254222.11.127.25516,382
47222.11.128.0/18222.11.128.1 to 222.11.191.254222.11.191.25516,382
48222.11.192.0/18222.11.192.1 to 222.11.255.254222.11.255.25516,382
49222.12.0.0/18222.12.0.1 to 222.12.63.254222.12.63.25516,382
50222.12.64.0/18222.12.64.1 to 222.12.127.254222.12.127.25516,382
51222.12.128.0/18222.12.128.1 to 222.12.191.254222.12.191.25516,382
52222.12.192.0/18222.12.192.1 to 222.12.255.254222.12.255.25516,382
53222.13.0.0/18222.13.0.1 to 222.13.63.254222.13.63.25516,382
54222.13.64.0/18222.13.64.1 to 222.13.127.254222.13.127.25516,382
55222.13.128.0/18222.13.128.1 to 222.13.191.254222.13.191.25516,382
56222.13.192.0/18222.13.192.1 to 222.13.255.254222.13.255.25516,382
57222.14.0.0/18222.14.0.1 to 222.14.63.254222.14.63.25516,382
58222.14.64.0/18222.14.64.1 to 222.14.127.254222.14.127.25516,382
59222.14.128.0/18222.14.128.1 to 222.14.191.254222.14.191.25516,382
60222.14.192.0/18222.14.192.1 to 222.14.255.254222.14.255.25516,382
61222.15.0.0/18222.15.0.1 to 222.15.63.254222.15.63.25516,382
62222.15.64.0/18222.15.64.1 to 222.15.127.254222.15.127.25516,382
63222.15.128.0/18222.15.128.1 to 222.15.191.254222.15.191.25516,382
64222.15.192.0/18222.15.192.1 to 222.15.255.254222.15.255.25516,382
65222.16.0.0/18222.16.0.1 to 222.16.63.254222.16.63.25516,382
66222.16.64.0/18222.16.64.1 to 222.16.127.254222.16.127.25516,382
67222.16.128.0/18222.16.128.1 to 222.16.191.254222.16.191.25516,382
68222.16.192.0/18222.16.192.1 to 222.16.255.254222.16.255.25516,382
69222.17.0.0/18222.17.0.1 to 222.17.63.254222.17.63.25516,382
70222.17.64.0/18222.17.64.1 to 222.17.127.254222.17.127.25516,382
71222.17.128.0/18222.17.128.1 to 222.17.191.254222.17.191.25516,382
72222.17.192.0/18222.17.192.1 to 222.17.255.254222.17.255.25516,382
73222.18.0.0/18222.18.0.1 to 222.18.63.254222.18.63.25516,382
74222.18.64.0/18222.18.64.1 to 222.18.127.254222.18.127.25516,382
75222.18.128.0/18222.18.128.1 to 222.18.191.254222.18.191.25516,382
76222.18.192.0/18222.18.192.1 to 222.18.255.254222.18.255.25516,382
77222.19.0.0/18222.19.0.1 to 222.19.63.254222.19.63.25516,382
78222.19.64.0/18222.19.64.1 to 222.19.127.254222.19.127.25516,382
79222.19.128.0/18222.19.128.1 to 222.19.191.254222.19.191.25516,382
80222.19.192.0/18222.19.192.1 to 222.19.255.254222.19.255.25516,382
81222.20.0.0/18222.20.0.1 to 222.20.63.254222.20.63.25516,382
82222.20.64.0/18222.20.64.1 to 222.20.127.254222.20.127.25516,382
83222.20.128.0/18222.20.128.1 to 222.20.191.254222.20.191.25516,382
84222.20.192.0/18222.20.192.1 to 222.20.255.254222.20.255.25516,382
85222.21.0.0/18222.21.0.1 to 222.21.63.254222.21.63.25516,382
86222.21.64.0/18222.21.64.1 to 222.21.127.254222.21.127.25516,382
87222.21.128.0/18222.21.128.1 to 222.21.191.254222.21.191.25516,382
88222.21.192.0/18222.21.192.1 to 222.21.255.254222.21.255.25516,382
89222.22.0.0/18222.22.0.1 to 222.22.63.254222.22.63.25516,382
90222.22.64.0/18222.22.64.1 to 222.22.127.254222.22.127.25516,382
91222.22.128.0/18222.22.128.1 to 222.22.191.254222.22.191.25516,382
92222.22.192.0/18222.22.192.1 to 222.22.255.254222.22.255.25516,382
93222.23.0.0/18222.23.0.1 to 222.23.63.254222.23.63.25516,382
94222.23.64.0/18222.23.64.1 to 222.23.127.254222.23.127.25516,382
95222.23.128.0/18222.23.128.1 to 222.23.191.254222.23.191.25516,382
96222.23.192.0/18222.23.192.1 to 222.23.255.254222.23.255.25516,382
97222.24.0.0/18222.24.0.1 to 222.24.63.254222.24.63.25516,382
98222.24.64.0/18222.24.64.1 to 222.24.127.254222.24.127.25516,382
99222.24.128.0/18222.24.128.1 to 222.24.191.254222.24.191.25516,382
100222.24.192.0/18222.24.192.1 to 222.24.255.254222.24.255.25516,382
101222.25.0.0/18222.25.0.1 to 222.25.63.254222.25.63.25516,382
102222.25.64.0/18222.25.64.1 to 222.25.127.254222.25.127.25516,382
103222.25.128.0/18222.25.128.1 to 222.25.191.254222.25.191.25516,382
104222.25.192.0/18222.25.192.1 to 222.25.255.254222.25.255.25516,382
105222.26.0.0/18222.26.0.1 to 222.26.63.254222.26.63.25516,382
106222.26.64.0/18222.26.64.1 to 222.26.127.254222.26.127.25516,382
107222.26.128.0/18222.26.128.1 to 222.26.191.254222.26.191.25516,382
108222.26.192.0/18222.26.192.1 to 222.26.255.254222.26.255.25516,382
109222.27.0.0/18222.27.0.1 to 222.27.63.254222.27.63.25516,382
110222.27.64.0/18222.27.64.1 to 222.27.127.254222.27.127.25516,382
111222.27.128.0/18222.27.128.1 to 222.27.191.254222.27.191.25516,382
112222.27.192.0/18222.27.192.1 to 222.27.255.254222.27.255.25516,382
113222.28.0.0/18222.28.0.1 to 222.28.63.254222.28.63.25516,382
114222.28.64.0/18222.28.64.1 to 222.28.127.254222.28.127.25516,382
115222.28.128.0/18222.28.128.1 to 222.28.191.254222.28.191.25516,382
116222.28.192.0/18222.28.192.1 to 222.28.255.254222.28.255.25516,382
117222.29.0.0/18222.29.0.1 to 222.29.63.254222.29.63.25516,382
118222.29.64.0/18222.29.64.1 to 222.29.127.254222.29.127.25516,382
119222.29.128.0/18222.29.128.1 to 222.29.191.254222.29.191.25516,382
120222.29.192.0/18222.29.192.1 to 222.29.255.254222.29.255.25516,382
121222.30.0.0/18222.30.0.1 to 222.30.63.254222.30.63.25516,382
122222.30.64.0/18222.30.64.1 to 222.30.127.254222.30.127.25516,382
123222.30.128.0/18222.30.128.1 to 222.30.191.254222.30.191.25516,382
124222.30.192.0/18222.30.192.1 to 222.30.255.254222.30.255.25516,382
125222.31.0.0/18222.31.0.1 to 222.31.63.254222.31.63.25516,382
126222.31.64.0/18222.31.64.1 to 222.31.127.254222.31.127.25516,382
127222.31.128.0/18222.31.128.1 to 222.31.191.254222.31.191.25516,382
128222.31.192.0/18222.31.192.1 to 222.31.255.254222.31.255.25516,382
129222.32.0.0/18222.32.0.1 to 222.32.63.254222.32.63.25516,382
130222.32.64.0/18222.32.64.1 to 222.32.127.254222.32.127.25516,382
131222.32.128.0/18222.32.128.1 to 222.32.191.254222.32.191.25516,382
132222.32.192.0/18222.32.192.1 to 222.32.255.254222.32.255.25516,382
133222.33.0.0/18222.33.0.1 to 222.33.63.254222.33.63.25516,382
134222.33.64.0/18222.33.64.1 to 222.33.127.254222.33.127.25516,382
135222.33.128.0/18222.33.128.1 to 222.33.191.254222.33.191.25516,382
136222.33.192.0/18222.33.192.1 to 222.33.255.254222.33.255.25516,382
137222.34.0.0/18222.34.0.1 to 222.34.63.254222.34.63.25516,382
138222.34.64.0/18222.34.64.1 to 222.34.127.254222.34.127.25516,382
139222.34.128.0/18222.34.128.1 to 222.34.191.254222.34.191.25516,382
140222.34.192.0/18222.34.192.1 to 222.34.255.254222.34.255.25516,382
141222.35.0.0/18222.35.0.1 to 222.35.63.254222.35.63.25516,382
142222.35.64.0/18222.35.64.1 to 222.35.127.254222.35.127.25516,382
143222.35.128.0/18222.35.128.1 to 222.35.191.254222.35.191.25516,382
144222.35.192.0/18222.35.192.1 to 222.35.255.254222.35.255.25516,382
145222.36.0.0/18222.36.0.1 to 222.36.63.254222.36.63.25516,382
146222.36.64.0/18222.36.64.1 to 222.36.127.254222.36.127.25516,382
147222.36.128.0/18222.36.128.1 to 222.36.191.254222.36.191.25516,382
148222.36.192.0/18222.36.192.1 to 222.36.255.254222.36.255.25516,382
149222.37.0.0/18222.37.0.1 to 222.37.63.254222.37.63.25516,382
150222.37.64.0/18222.37.64.1 to 222.37.127.254222.37.127.25516,382
151222.37.128.0/18222.37.128.1 to 222.37.191.254222.37.191.25516,382
152222.37.192.0/18222.37.192.1 to 222.37.255.254222.37.255.25516,382
153222.38.0.0/18222.38.0.1 to 222.38.63.254222.38.63.25516,382
154222.38.64.0/18222.38.64.1 to 222.38.127.254222.38.127.25516,382
155222.38.128.0/18222.38.128.1 to 222.38.191.254222.38.191.25516,382
156222.38.192.0/18222.38.192.1 to 222.38.255.254222.38.255.25516,382
157222.39.0.0/18222.39.0.1 to 222.39.63.254222.39.63.25516,382
158222.39.64.0/18222.39.64.1 to 222.39.127.254222.39.127.25516,382
159222.39.128.0/18222.39.128.1 to 222.39.191.254222.39.191.25516,382
160222.39.192.0/18222.39.192.1 to 222.39.255.254222.39.255.25516,382
161222.40.0.0/18222.40.0.1 to 222.40.63.254222.40.63.25516,382
162222.40.64.0/18222.40.64.1 to 222.40.127.254222.40.127.25516,382
163222.40.128.0/18222.40.128.1 to 222.40.191.254222.40.191.25516,382
164222.40.192.0/18222.40.192.1 to 222.40.255.254222.40.255.25516,382
165222.41.0.0/18222.41.0.1 to 222.41.63.254222.41.63.25516,382
166222.41.64.0/18222.41.64.1 to 222.41.127.254222.41.127.25516,382
167222.41.128.0/18222.41.128.1 to 222.41.191.254222.41.191.25516,382
168222.41.192.0/18222.41.192.1 to 222.41.255.254222.41.255.25516,382
169222.42.0.0/18222.42.0.1 to 222.42.63.254222.42.63.25516,382
170222.42.64.0/18222.42.64.1 to 222.42.127.254222.42.127.25516,382
171222.42.128.0/18222.42.128.1 to 222.42.191.254222.42.191.25516,382
172222.42.192.0/18222.42.192.1 to 222.42.255.254222.42.255.25516,382
173222.43.0.0/18222.43.0.1 to 222.43.63.254222.43.63.25516,382
174222.43.64.0/18222.43.64.1 to 222.43.127.254222.43.127.25516,382
175222.43.128.0/18222.43.128.1 to 222.43.191.254222.43.191.25516,382
176222.43.192.0/18222.43.192.1 to 222.43.255.254222.43.255.25516,382
177222.44.0.0/18222.44.0.1 to 222.44.63.254222.44.63.25516,382
178222.44.64.0/18222.44.64.1 to 222.44.127.254222.44.127.25516,382
179222.44.128.0/18222.44.128.1 to 222.44.191.254222.44.191.25516,382
180222.44.192.0/18222.44.192.1 to 222.44.255.254222.44.255.25516,382
181222.45.0.0/18222.45.0.1 to 222.45.63.254222.45.63.25516,382
182222.45.64.0/18222.45.64.1 to 222.45.127.254222.45.127.25516,382
183222.45.128.0/18222.45.128.1 to 222.45.191.254222.45.191.25516,382
184222.45.192.0/18222.45.192.1 to 222.45.255.254222.45.255.25516,382
185222.46.0.0/18222.46.0.1 to 222.46.63.254222.46.63.25516,382
186222.46.64.0/18222.46.64.1 to 222.46.127.254222.46.127.25516,382
187222.46.128.0/18222.46.128.1 to 222.46.191.254222.46.191.25516,382
188222.46.192.0/18222.46.192.1 to 222.46.255.254222.46.255.25516,382
189222.47.0.0/18222.47.0.1 to 222.47.63.254222.47.63.25516,382
190222.47.64.0/18222.47.64.1 to 222.47.127.254222.47.127.25516,382
191222.47.128.0/18222.47.128.1 to 222.47.191.254222.47.191.25516,382
192222.47.192.0/18222.47.192.1 to 222.47.255.254222.47.255.25516,382
193222.48.0.0/18222.48.0.1 to 222.48.63.254222.48.63.25516,382
194222.48.64.0/18222.48.64.1 to 222.48.127.254222.48.127.25516,382
195222.48.128.0/18222.48.128.1 to 222.48.191.254222.48.191.25516,382
196222.48.192.0/18222.48.192.1 to 222.48.255.254222.48.255.25516,382
197222.49.0.0/18222.49.0.1 to 222.49.63.254222.49.63.25516,382
198222.49.64.0/18222.49.64.1 to 222.49.127.254222.49.127.25516,382
199222.49.128.0/18222.49.128.1 to 222.49.191.254222.49.191.25516,382
200222.49.192.0/18222.49.192.1 to 222.49.255.254222.49.255.25516,382
201222.50.0.0/18222.50.0.1 to 222.50.63.254222.50.63.25516,382
202222.50.64.0/18222.50.64.1 to 222.50.127.254222.50.127.25516,382
203222.50.128.0/18222.50.128.1 to 222.50.191.254222.50.191.25516,382
204222.50.192.0/18222.50.192.1 to 222.50.255.254222.50.255.25516,382
205222.51.0.0/18222.51.0.1 to 222.51.63.254222.51.63.25516,382
206222.51.64.0/18222.51.64.1 to 222.51.127.254222.51.127.25516,382
207222.51.128.0/18222.51.128.1 to 222.51.191.254222.51.191.25516,382
208222.51.192.0/18222.51.192.1 to 222.51.255.254222.51.255.25516,382
209222.52.0.0/18222.52.0.1 to 222.52.63.254222.52.63.25516,382
210222.52.64.0/18222.52.64.1 to 222.52.127.254222.52.127.25516,382
211222.52.128.0/18222.52.128.1 to 222.52.191.254222.52.191.25516,382
212222.52.192.0/18222.52.192.1 to 222.52.255.254222.52.255.25516,382
213222.53.0.0/18222.53.0.1 to 222.53.63.254222.53.63.25516,382
214222.53.64.0/18222.53.64.1 to 222.53.127.254222.53.127.25516,382
215222.53.128.0/18222.53.128.1 to 222.53.191.254222.53.191.25516,382
216222.53.192.0/18222.53.192.1 to 222.53.255.254222.53.255.25516,382
217222.54.0.0/18222.54.0.1 to 222.54.63.254222.54.63.25516,382
218222.54.64.0/18222.54.64.1 to 222.54.127.254222.54.127.25516,382
219222.54.128.0/18222.54.128.1 to 222.54.191.254222.54.191.25516,382
220222.54.192.0/18222.54.192.1 to 222.54.255.254222.54.255.25516,382
221222.55.0.0/18222.55.0.1 to 222.55.63.254222.55.63.25516,382
222222.55.64.0/18222.55.64.1 to 222.55.127.254222.55.127.25516,382
223222.55.128.0/18222.55.128.1 to 222.55.191.254222.55.191.25516,382
224222.55.192.0/18222.55.192.1 to 222.55.255.254222.55.255.25516,382
225222.56.0.0/18222.56.0.1 to 222.56.63.254222.56.63.25516,382
226222.56.64.0/18222.56.64.1 to 222.56.127.254222.56.127.25516,382
227222.56.128.0/18222.56.128.1 to 222.56.191.254222.56.191.25516,382
228222.56.192.0/18222.56.192.1 to 222.56.255.254222.56.255.25516,382
229222.57.0.0/18222.57.0.1 to 222.57.63.254222.57.63.25516,382
230222.57.64.0/18222.57.64.1 to 222.57.127.254222.57.127.25516,382
231222.57.128.0/18222.57.128.1 to 222.57.191.254222.57.191.25516,382
232222.57.192.0/18222.57.192.1 to 222.57.255.254222.57.255.25516,382
233222.58.0.0/18222.58.0.1 to 222.58.63.254222.58.63.25516,382
234222.58.64.0/18222.58.64.1 to 222.58.127.254222.58.127.25516,382
235222.58.128.0/18222.58.128.1 to 222.58.191.254222.58.191.25516,382
236222.58.192.0/18222.58.192.1 to 222.58.255.254222.58.255.25516,382
237222.59.0.0/18222.59.0.1 to 222.59.63.254222.59.63.25516,382
238222.59.64.0/18222.59.64.1 to 222.59.127.254222.59.127.25516,382
239222.59.128.0/18222.59.128.1 to 222.59.191.254222.59.191.25516,382
240222.59.192.0/18222.59.192.1 to 222.59.255.254222.59.255.25516,382
241222.60.0.0/18222.60.0.1 to 222.60.63.254222.60.63.25516,382
242222.60.64.0/18222.60.64.1 to 222.60.127.254222.60.127.25516,382
243222.60.128.0/18222.60.128.1 to 222.60.191.254222.60.191.25516,382
244222.60.192.0/18222.60.192.1 to 222.60.255.254222.60.255.25516,382
245222.61.0.0/18222.61.0.1 to 222.61.63.254222.61.63.25516,382
246222.61.64.0/18222.61.64.1 to 222.61.127.254222.61.127.25516,382
247222.61.128.0/18222.61.128.1 to 222.61.191.254222.61.191.25516,382
248222.61.192.0/18222.61.192.1 to 222.61.255.254222.61.255.25516,382
249222.62.0.0/18222.62.0.1 to 222.62.63.254222.62.63.25516,382
250222.62.64.0/18222.62.64.1 to 222.62.127.254222.62.127.25516,382
251222.62.128.0/18222.62.128.1 to 222.62.191.254222.62.191.25516,382
252222.62.192.0/18222.62.192.1 to 222.62.255.254222.62.255.25516,382
253222.63.0.0/18222.63.0.1 to 222.63.63.254222.63.63.25516,382
254222.63.64.0/18222.63.64.1 to 222.63.127.254222.63.127.25516,382
255222.63.128.0/18222.63.128.1 to 222.63.191.254222.63.191.25516,382
256222.63.192.0/18222.63.192.1 to 222.63.255.254222.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses